Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.model
Interface OWLOntology

All Superinterfaces:
  Cloneable, OWLNamedObject, OWLObject, Serializable

All Known Subinterfaces:
  OWLDLOntology, OWLLiteOntology

All Known Implementing Classes:
  OWLOntologyImpl

public interface OWLOntology
extends OWLNamedObject

Represents an OWL ontology. An ontology comprises a number of collections. Each ontology has a number of classes, properties and individuals, along with a number of axioms asserting information about those objects.

Version:
  $Id: OWLOntology.java,v 1.1.1.1 2003/10/14 17:10:08 sean_bechhofer Exp $

Method Summary
`Set` | `getAnnotationProperties()` Returns a list of the annotation properties of the ontology
`OWLAnnotationProperty` | `getAnnotationProperty(URI uri)` getAnnotationProperty Retrieves an Annotation Property with a given uri
`Set` | `getBackwardCompatibleWith()`
`OWLClass` | `getClass(URI uri)` getClass Retrieves a class with a given uri
`Set` | `getClassAxioms()` Returns a list of class axioms in the ontology.
`Set` | `getClasses()` Returns a list of the classes of the ontology
`Set` | `getDataProperties()` Returns a list of the datatype properties of the ontology (i.e. those whose range is a concrete data type).
`OWLDataProperty` | `getDataProperty(URI uri)` getDataProperty Retrieves a DataProperty with a given uri
`OWLDataType` | `getDatatype(URI uri)` getClass Retrieves a class with a given uri
`Set` | `getDatatypes()` Returns a list of the classes of the ontology
`Set` | `getIncludedOntologies()` Returns a list of the Ontologies imported by this Ontology.
`Set` | `getIncompatibleWith()`
`OWLIndividual` | `getIndividual(URI uri)` getIndividual Retrieves an individual with a given uri
`Set` | `getIndividualAxioms()` Returns a list of the individual axioms in the ontology.
`Set` | `getIndividuals()` Returns a list of the individuals in the ontology
`URI` | `getLogicalURI()` getLogicalURI Identifies this ontology uniquely (enforced within one OWLConnection)
`Set` | `getObjectProperties()` Returns a list of the object properties of the ontology (i.e. those whose range is a subset of the object domain.
`OWLObjectProperty` | `getObjectProperty(URI uri)` getObjectProperty Retrieves a ObjectProperty with a given uri
`URI` | `getPhysicalURI()` getLogicalURI Physical URI of the ontology.
`Set` | `getPriorVersion()`
`Set` | `getPropertyAxioms()` Returns a list of the property axioms in the ontology.
`boolean` | `isMutable()` Returns `true` if the ontology is mutable, i.e. can be changed.

Methods inherited from interface org.semanticweb.owl.model.OWLNamedObject
`getURI`

Methods inherited from interface org.semanticweb.owl.model.OWLObject
`accept, clone, getAnnotations, getAnnotations, getContainedObjects, getMetadata, getOWLConnection, getOWLDataFactory`

Method Detail

### getClasses

    public Set getClasses()
                   throws OWLException

  Returns a list of the classes of the ontology

    `OWLException`

### getClass

    public OWLClass getClass(URI uri)
                      throws OWLException

  getClass Retrieves a class with a given uri

  Parameters:
    `uri` - (String)
  Returns:
    OWLClass, null if there is no such thing
    `OWLException`

### getAnnotationProperties

    public Set getAnnotationProperties()
                                throws OWLException

  Returns a list of the annotation properties of the ontology

    `OWLException`

### getAnnotationProperty

    public OWLAnnotationProperty getAnnotationProperty(URI uri)
                                                throws OWLException

  getAnnotationProperty Retrieves an Annotation Property with a given uri

  Parameters:
    `uri` - (String)
  Returns:
    OWLAnnotationProperty, null if there is no such thing
    `OWLException`

### getDataProperties

    public Set getDataProperties()
                          throws OWLException

  Returns a list of the datatype properties of the ontology (i.e. those whose range is a concrete data type).

    `OWLException`

### getDataProperty

    public OWLDataProperty getDataProperty(URI uri)
                                    throws OWLException

  getDataProperty Retrieves a DataProperty with a given uri

  Parameters:
    `uri` - (String)
  Returns:
    OWLDataProperty, null if there is no such thing
    `OWLException`

### getObjectProperties

    public Set getObjectProperties()
                            throws OWLException

  Returns a list of the object properties of the ontology (i.e. those whose range is a subset of the object domain.

    `OWLException`

### getObjectProperty

    public OWLObjectProperty getObjectProperty(URI uri)
                                        throws OWLException

  getObjectProperty Retrieves a ObjectProperty with a given uri

  Parameters:
    `uri` - (String)
  Returns:
    OWLObjectProperty, null if there is no such thing
    `OWLException`

### getIndividuals

    public Set getIndividuals()
                       throws OWLException

  Returns a list of the individuals in the ontology

    `OWLException`

### getIndividual

    public OWLIndividual getIndividual(URI uri)
                                throws OWLException

  getIndividual Retrieves an individual with a given uri

  Parameters:
    `uri` - (String)
  Returns:
    OWLDataProperty, returns null if it is there
    `OWLException`

### getDatatypes

    public Set getDatatypes()
                     throws OWLException

  Returns a list of the classes of the ontology

    `OWLException`

### getDatatype

    public OWLDataType getDatatype(URI uri)
                            throws OWLException

  getClass Retrieves a class with a given uri

  Parameters:
    `uri` - (String)
  Returns:
    OWLClass, null if there is no such thing
    `OWLException`

### getClassAxioms

    public Set getClassAxioms()
                       throws OWLException

  Returns a list of class axioms in the ontology. These include subclass axioms, disjointness axioms and equality axioms.

    `OWLException`

### getPropertyAxioms

    public Set getPropertyAxioms()
                          throws OWLException

  Returns a list of the property axioms in the ontology. These include subproperty axioms and property equality axioms.

    `OWLException`

### getIndividualAxioms

    public Set getIndividualAxioms()
                            throws OWLException

  Returns a list of the individual axioms in the ontology. These will include axioms asserting the equality and inequality of individuals.

    `OWLException`

### getIncludedOntologies

    public Set getIncludedOntologies()
                              throws OWLException

  Returns a list of the Ontologies imported by this Ontology.

  Returns:
    Set{OWLOntology}
    `OWLException`

### getPriorVersion

    public Set getPriorVersion()
                        throws OWLException

    `OWLException`

### getBackwardCompatibleWith

    public Set getBackwardCompatibleWith()
                                  throws OWLException

    `OWLException`

### getIncompatibleWith

    public Set getIncompatibleWith()
                            throws OWLException

    `OWLException`

### isMutable

    public boolean isMutable()
                      throws OWLException

  Returns `true` if the ontology is mutable, i.e. can be changed. If the ontology has been retrieved from a URI (for example as an imported ontology), then the ontology will be considered immutable.

  Returns:
    a `boolean` value
    `OWLException`

### getLogicalURI

    public URI getLogicalURI()
                      throws OWLException

  getLogicalURI Identifies this ontology uniquely (enforced within one OWLConnection)

  Returns:
    String representation of the URI
    `OWLException`

### getPhysicalURI

    public URI getPhysicalURI()
                       throws OWLException

  getLogicalURI Physical URI of the ontology.

  Returns:
    String representaion of the URI, could be null (e.g. not stored yet or in a database)
    `OWLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb